package org.netkernel.layer0.meta;

import org.netkernel.request.IRequestResponseFields;

/** Endpoints may implement this interface so that PhysicalEndpointMetaImpl will automatically detect
 * its state.
 * @author tab
 */
public interface IEndpointStateMeta
{
	/** key for field to indicate configuration/initialisation problem **/
	public static final String KEY_PROBLEM="problem";
		
	/** Return any fields which represent the current state
	 * @return
	 */
	IRequestResponseFields getState();
	
	/** Return meta data about the state fields.
	 * @return
	 */
	IPhysicalEndpointFieldMeta[] getStateMeta();
	
	/** Set one of the state fields
	 * @param aKey the name of the state field to set
	 * @param aRepresentation the value that the state should be set to
	 * @throws IllegalArgumentException throw if the field cannot be set or another problem updating the field occurs
	 */
	void setState(String aKey, Object aRepresentation) throws IllegalArgumentException;
}