package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IPrototypeMeta;
import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.urii.SimpleIdentifierImpl;
import org.netkernel.urii.IIdentifier;


public class PrototypeMetaImpl extends MetaRepresentationImpl implements IPrototypeMeta
{
	private final IIdentifier mIdentifier;
	private final Class mImplementation;
	private final IPrototypeParameterMeta[] mParameters;
	
	public PrototypeMetaImpl(String aIdentifier, Class aImplementation, String aName, String aDescription, IIdentifier aIcon, IPrototypeParameterMeta[] aParameters)
	{	super(aName,aDescription,aIcon,null);
		mIdentifier=new SimpleIdentifierImpl(aIdentifier);
		mImplementation=aImplementation;
		mParameters = aParameters;
	}

	public IIdentifier getIdentifier()
	{	return mIdentifier;
	}

	public Class getImplementation()
	{	return mImplementation;
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return mParameters;
	}
}