package org.netkernel.layer0.util;

import org.netkernel.layer0.nkf.INKFExpiryFunction;

public class TimedExpiryFunction implements INKFExpiryFunction
{
	private final String mDebug;
	private long mExpiryTime;

	public TimedExpiryFunction(String aDebug, long aExpiryTime)
	{	mDebug = aDebug;
		mExpiryTime=aExpiryTime;
	}

	public void invalidate()
	{	mExpiryTime=0;
	}

	public boolean isExpired(long aNow)
	{	return aNow>mExpiryTime;
	}

	public String toString()
	{	return mDebug;
	}
}